<?php
	
	$id_empresa = $_GET["e"];
	$id = $_GET["id"];
    $trivia = $_GET["t"];
	$hoy = date("Y-m-d H:i:s");

	//CONSULTA PARA NUEVO CLIENTE
	//CONSULTA PARA NUEVO CLIENTE
	if($_POST["pregunta"] != ""){

		if($_POST["id_registro"] != ""){
			mysqli_query($connect,"UPDATE Trivia_Preguntas SET id_trivia = '".$trivia."', pregunta = '".$_POST["pregunta"]."', 
            opc_1 = '".$_POST["opc_1"]."', opc_2 = '".$_POST["opc_2"]."', opc_3 = '".$_POST["opc_3"]."', opc_4 = '".$_POST["opc_4"]."', opc_5 = '".$_POST["opc_5"]."', 
            correcta = '".$_POST["correcta"]."', orden = '".$_POST["orden"]."' WHERE id = '".$_POST["id_registro"]."'  ");
		}
		else{

			mysqli_query($connect,"INSERT INTO Trivia_Preguntas ( id_trivia, pregunta, opc_1, opc_2, opc_3, opc_4, opc_5, correcta, orden, created_at ) 
			VALUES 
			( '".$trivia."', '".$_POST["pregunta"]."', '".$_POST["opc_1"]."', '".$_POST["opc_2"]."', '".$_POST["opc_3"]."', '".$_POST["opc_4"]."', '".$_POST["opc_5"]."', 
            '".$_POST["correcta"]."', '".$_POST["orden"]."', '".$hoy."' ) ");
		}
		echo '<script>window.location = "?pg=trivia/detalle&id='.$trivia.'";</script>';//para evitar reinsersion
	}
	
	
	//INFORMACION DE LA BATERIA
	$query = mysqli_query($connect,"SELECT * FROM Trivia_Preguntas WHERE id = '".$id."' ");
	$data = mysqli_fetch_array($query);	
?>

<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.2/Chart.js"></script>

<nav aria-label="breadcrumb" style="margin-top:15px" >
	<ol class="breadcrumb" style="background-color: rgba(0,0,0,0); margin-bottom:0px">
		<li class="breadcrumb-item"><a href="?pg=home">Home</a></li>
		<li class="breadcrumb-item" aria-current="page"><a href="?pg=trivias">Trivias</a></li>
        <li class="breadcrumb-item" aria-current="page"><a href="?pg=trivia/detalle&id=<?php echo $id; ?>">Trivia</a></li>
        <li class="breadcrumb-item active" aria-current="page">Detalle</li>
	</ol>
</nav>


<div class="container" style="margin-top:15px">
    
    
    <div class="row">
        
        
        <?php
        $count = 1;
        $queryPreg = mysqli_query($connect,"SELECT * FROM Trivia_Preguntas WHERE id_trivia = '".$data["id"]."' ORDER BY orden ASC ");
        while($dataPreg = mysqli_fetch_array($queryPreg)){
                    
            $opc_1 = 0;
            $opc_2 = 0;
            $opc_3 = 0;
            $opc_4 = 0;
            $opc_5 = 0;
                    
            $queryRespuestas = mysqli_query($connect,"SELECT * FROM Trivias_Respuestas WHERE id_pregunta = '".$dataPreg["id"]."' ");
            while($dataRespuestas = mysqli_fetch_array($queryRespuestas) ){
                if($dataRespuestas["opcion"] == 1){
                    $opc_1 ++;
                }
                if($dataRespuestas["opcion"] == 2){
                    $opc_2 ++;
                }
                if($dataRespuestas["opcion"] == 3){
                    $opc_3 ++;
                }
                if($dataRespuestas["opcion"] == 4){
                    $opc_4 ++;
                }
                if($dataRespuestas["opcion"] == 5){
                    $opc_5 ++;
                }
            }
            
            $total = $opc_1+$opc_2+$opc_3+$opc_4+$opc_5;
            $valor_1 = round( ($opc_1*100) / $total );
            $valor_2 = round( ($opc_2*100) / $total );
            $valor_3 = round( ($opc_3*100) / $total );
            $valor_4 = round( ($opc_4*100) / $total );
            $valor_5 = round( ($opc_5*100) / $total );
            
            $respuesta_3 = '';
            if($dataPreg["opc_3"] != ""){
                $respuesta_3 = '
                    <div class="grupo">
                        '.$dataPreg["opc_3"].'
                        <div class="marco"><div class="opcion" style="width: '.$valor_3.'%;">%'.$valor_3.'</div></div>
                    </div>
                ';
            }
            $respuesta_4 = '';
            if($dataPreg["opc_4"] != ""){
                $respuesta_4 = '
                    <div class="grupo">
                        '.$dataPreg["opc_4"].'
                        <div class="marco"><div class="opcion" style="width: '.$valor_4.'%;">%'.$valor_4.'</div></div>
                    </div>
                ';
            }
            $respuesta_5 = '';
            if($dataPreg["opc_5"] != ""){
                $respuesta_3 = '
                    <div class="grupo">
                        '.$dataPreg["opc_5"].'
                        <div class="marco"><div class="opcion" style="width: '.$valor_5.'%;">%'.$valor_5.'</div></div>
                    </div>
                ';
            }


            echo '
            <div class="col-md-6">
                <div class="ficha_preguntas">
                    <div class="pregunta">'.$dataPreg["pregunta"].' ('.$total.')</div>
                    <div class="grupo">
                        '.$dataPreg["opc_1"].'
                        <div class="marco"><div class="opcion" style="width: '.$valor_1.'%;">%'.$valor_1.'</div></div>
                    </div>
                    <div class="grupo">
                        '.$dataPreg["opc_2"].'
                        <div class="marco"><div class="opcion" style="width: '.$valor_2.'%;">%'.$valor_2.'</div></div>
                    </div>
                    '.$respuesta_3.'
                    '.$respuesta_4.'
                    '.$respuesta_5.'
                </div>
            </div>
            ';
        }
        ?>
  
    </div>
    
    
    
    
    <style>
        .ficha_preguntas{
            background-color: #ffffff;
            padding: 10px;
            margin-bottom: 10px;
        }
        
        .pregunta{
            text-align: center;
            font-weight: bold;
            font-size: 15px;
            margin-bottom: 10px;
        }
        
        .opcion{
            background-color: #CDDC39;
            padding: 3px;
        }
        .grupo{
            margin-bottom: 10px;
        }
        .marco{
            border: 1px solid #ccc;
            margin-top: 5px;
        }
    </style>
    
    
    
	
    

</div>





<style>
.item_input{
	margin-bottom:15px;
}
</style>

<script>
var urls = '<?php echo $api; ?>';
var activar = false;
//GUARDAR ACADEMICO
function Eliminar_Imagen(val){	

	if(activar == false){
		$("#modal_general").modal("show");

		$("#modal_body").html('Esta a punto de eliminar esta imágen, esta acción es irreversible ¿Esta seguro?<br><br>');
			
		$("#modal_body").append('<button type="button" class="btn btn-danger" onclick="activar = true; Eliminar_Imagen('+val+')">Eliminar</button>');
		$("#modal_body").append('<button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>');
	}
	
	else{
		
		$("#preloader").show();
			
		jQuery.ajax({
			url: urls+"eliminar_imagen.php",
			type:'post',
			data: {id:val, url:'?pg=catalogo/detalle&id=<?php echo $id; ?>'},
			}).done(function (resp){
				//$("this").hide();	
				$("#xscript").html(resp);
			})
			.fail(function() {
			})
			.always(function(resp){
				$("#preloader").hide();
			}
		);	
	}
}
</script>


<script>
$( document ).ready(function() {
    $("#bt_sala").addClass( "btn-primary" );
});
</script>